Subject: bug#18636: 24.4.50; doc of `display-monitor-attributes-list' - DISPLAY? FRAME?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Oct 2014 16:32:38 +0300

> Date: Wed, 8 Oct 2014 06:20:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > And it should call out the
> > > relation between the two.  For example, if a frame is passed
> > > and its display is used (= its `display' frame parameter),
> > > then say so.
> > 
> > That's not what happens, though.  Each function extracts the info it
> > needs from whatever kind of argument it is passed, and then uses
> > that info.
> 
> I said, "For example". Whatever the actual relation between the
> two is, it should be described.  (Descriptions like "the information
> it needs" and "that info" are OK for here, but would not be helpful
> in the doc string.)

I'm not sure what you think the documentation should tell about this,
and why.  Each function needs something different from its argument;
surely, describing all that in the doc string is counter-productive.
Whoever needs those details, should read the code.

IOW, what other details are required to correctly invoke and use these
functions?